import 'package:be_happy/core/result.dart';
import 'package:be_happy/domain/entities/scooter.dart';

import '../repositories/scooter_repository.dart';

class GetScooterByTitleUsecase {
  final ScooterRepository repository;

  GetScooterByTitleUsecase(this.repository);

  Future<Result<Scooter?>> call(String title) {
    return repository.getScooterByTitle(title);
  }
}